<?
define('IN_PHPBB', true);
$phpbb_root_path = realpath(dirname(__FILE__)) . DIRECTORY_SEPARATOR;
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

// Table names
define('MWP_PAGES_TABLE', $table_prefix.'mwp_pages');
define('MWP_IMAGES_TABLE', $table_prefix.'mwp_images');
define('USERS_TABLE', $table_prefix.'users');

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//

// Get the row from the webpages table
$sql = "SELECT *
		FROM ". MWP_PAGES_TABLE ."
		WHERE page_alias = '$_GET[webpage]'";

$result = $db->sql_query($sql);
$webpage_row = $db->sql_fetchrow($result);

if ( !$webpage_row )
{
	$template->assign_block_vars('switch_no_page',array());
	$template->assign_vars(array(
		'MWP_MESSAGE' => $lang['mwp_not_exists'],
		'MWP_PAGE_TITLE' => $lang['mwp_not_exists']));
}
else
{
	$sql = "SELECT *
			FROM ". USERS_TABLE ."
			WHERE user_id = '$webpage_row[page_user_id]'";
	$result = $db->sql_query($sql);
	$user_row = $db->sql_fetchrow($result);
	if ( $user_row['user_posts'] == 0 )
	{
		$template->assign_block_vars('switch_no_page',array());
		$template->assign_vars(array(
			'MWP_MESSAGE' => $lang['mwp_not_exists'],
			'MWP_PAGE_TITLE' => $lang['mwp_not_exists']));
	}
	else
	{
		$template->assign_block_vars('switch_show_webpage',array());

		$template->assign_vars(array(
			'MWP_PAGE_TITLE' => $webpage_row['page_title'],
			'MWP_PAGE_DESCRIPTION' => nl2br($webpage_row['page_description']),
			'MWP_PAGE_EMAIL' => $webpage_row['page_email'],

			'MWP_WEBPAGE_URL' => 'http://'.$board_config['server_name'].$board_config['script_path'].'webpage/'.$webpage_row['page_alias']
		));

		// Get the images from the images table
		$sql = "SELECT *
				FROM ". MWP_IMAGES_TABLE ."
				WHERE image_user_id = '$webpage_row[page_user_id]'";

		$result = $db->sql_query($sql);
		if ( $images_row = $db->sql_fetchrow($result) )
		{
			do
			{
				$template->assign_block_vars('imagesrow', array(
					'IMAGE_URL' => 'http://'.$board_config['server_name'].$board_config['script_path'].'mwpdata/images/'.$images_row['image_name']
				));
			}
			while ( $images_row = $db->sql_fetchrow($result) );
			$db->sql_freeresult($result);
		}
	}
}

$template->set_filenames(array(
	'mwp_header' => 'mwp_header.tpl',
	'mwp_content' => 'mwp_view.tpl',
	'mwp_footer' => 'mwp_footer.tpl',
));

// Set the rest of the template variables
$template->assign_vars(array(
	'SITENAME' => $board_config['sitename'],
	'BOARD_URL' => 'http://'.$board_config['server_name'].$board_config['script_path'],
	'S_CONTENT_ENCODING' => $lang['ENCODING']));

$template->pparse('mwp_header');
$template->pparse('mwp_content');
$template->pparse('mwp_footer');
?>